v.label(1)

NAME
v.label - Create paint labels for GRASS vector file and attached attributes.

SYNOPSIS
v.label
v.label help
v.label [-a] map=string [type=string[,string,...]] [layer=integer] column=string labels=string [xoffset=float] [yoffset=float] [reference=string] [font=string] [size=float] [color=string] [width=float] [hcolor=string] [hwidth=float] [background=string] [border=string] [opaque=string] [space=float]

  Flags:

-a  Create labels along lines

  Parameters:

map=string
    Name of input vector

type=string[,string,...]
    Type Options: point,line,boundary,centroid Default: point,line,boundary,centroid

layer=integer
    Layer number Default: 1

column=string
    Name of attribute column to be used for labels

labels=string
    Name of a paint-label file

xoffset=float
    Offset label in x-direction Default: 0

yoffset=float
    Offset label in y-direction Default: 0

reference=string
    Reference position Options: center,left,right,upper,lower Default: center

font=string
    Font Default: standard

size=float
    Label size (in map-units) Default: 100

color=string
    Text color Options: aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta, orange,purple,red,violet,white,yellow Default: black

width=float
    Border width (only for ps.map output) Default: 1

hcolor=string
    Highlight color for text (only for ps.map output) Options: none,aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta, orange,purple,red,violet,white,yellow Default: none

hwidth=float
    Line width of highlight color (only for ps.map output) Default: 0

background=string
    Background color Options: none,aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta, orange,purple,red,violet,white,yellow Default: none

border=string
    Border color Options: none,aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta, orange,purple,red,violet,white,yellow Default: none

opaque=string
    Opaque to vector (only relevant if background color is selected) Options: yes,no Default: yes

space=float
    Space between letters (in map-units) Default: 100

DESCRIPTION
v.label makes a label-file from a GRASS vector file and labels loaded from attached attribute table.

NOTE
Rotated labels produced by this module are supported by ps.map only.

AUTHOR
Philip Verhagen (original s.label)
Radim Blazek

Last changed: $Date: 2003/08/13 09:23:31 $

Help Index